Aller au contenu
Support de Zwii et Yocto
stratego

Pas de logo rouge pour mise à jour

Messages recommandés

Hello, @stratego, et meilleurs vœux ! :)

C'est la couleur qui ne te plaît pas ? Tu le préfèrerais orange, puisqu'il s'agit d'un avertissement et pas d'une erreur ?

C'est facile : "core/core.php" > CTRL F "mettre à jour" (pour chercher le message qui s'affiche au survol) et tu remplaces "Red" par "Orange" à la ligne 2110 (version 8.54) :

				if(helper::checkNewVersion()) {
					$rightItems .= '<li><a id="barUpdate" href="' . helper::baseUrl() . 'install/update" title="Mettre à jour Zwii">' . template::ico('update colorOrange') . '</a></li>';
				}

Tu peux aussi le mettre en vert de la même façon en remplaçant "Red" par "Green", mais si tu veux un bouton jaune, il faudra ajouter une ligne ".colorYellow" à la fin de "core/layout/common.css". Pour le choix de la nuance, voici un bon site.

Sinon, commente ou supprime les lignes 2109-2111 et le bouton disparaîtra. ;)

 

Modifié par PeterRabbit

Partager ce message


Lien à poster
Partager sur d’autres sites

@PeterRabbit Bonne et heureuse Année à toi et à toute la communauté ;-)

 

Mais noooon :-) ce n'est pas la couleur rouge qui me dérange, je n'avais juste pas le logo pour la mise à jour.

 

j'ai tout republié et j'espère que ca marchera

 

A bientot

Modifié par stratego
  • Haha 1

Partager ce message


Lien à poster
Partager sur d’autres sites
Il y a 2 heures, stratego a dit :

Mais noooon :-) ce n'est pas la couleur rouge qui me dérange, je n'avais juste pas le logo pour la mise à jour.

 

Comme quoi, il faut faire des titres explicites — j'avoue que ce n'est pas une science exacte et que je ne la maîtrise pas forcément.

Mais peut-être ton Zwii était-il tout simplement à jour ? :mrgreen:

Porte-toi bien ! :beer:

Partager ce message


Lien à poster
Partager sur d’autres sites
Il y a 10 heures, PeterRabbit a dit :

Mais peut-être ton Zwii était-il tout simplement à jour ? :mrgreen:

Peut-être que la version installée n'a pas la fonctionnalité installée...
Dans core.php, il doit y avoir ces lignes non commentées :

if(helper::checkNewVersion()) {
$rightItems .= '<li><a id="barUpdate" href="' . helper::baseUrl() . 'install/update" title="Mettre à jour Zwii">' . template::ico('update colorRed') . '</a></li>';
}

 

Modifié par cybertaf

Partager ce message


Lien à poster
Partager sur d’autres sites

hello

 

c'était la 8.5.3 qui ne passait pas en 8.5.4

 

@cybertaf  j'ai bien ces lignes non commentées

 

Comme je l'ai dit, j'ai republié le site et j'attendrai  la prochaine mise à jour pour voir ou cela en est

Partager ce message


Lien à poster
Partager sur d’autres sites

Coucou @stratego ! :)

  • 8.55 (la version au téléchargement)

55.png.6af69858f9d4cf924f130dd6b8335611.png

  • 8.54

54.png.73d82522b583b50299ce245a3ba27543.png

 

A part te reparler de ton hébergeur — tu as déjà rejeté cette hypothèse, mais j'insiste —, envisager une éventuelle installation en local, souvent à l'origine d'une foultitude de problèmes étranges, ou te proposer à nouveau de t'ouvrir un espace dans lequel tu pourras vérifier avec une version brute de téléchargement, je ne comprends pas. C'est la malédiction du Qiévrain, ou bien ?

Ne vois aucune ironie dans ma réponse, je m'étonne et me consterne avec toi. :|

Modifié par PeterRabbit

Partager ce message


Lien à poster
Partager sur d’autres sites

Hello

 

voilà comment je bosse

 

La version test est sur un hébergeur gratuit - dans notre cas, la mise à jour fonctionne

La version finale est chez LWS - et là ca marche po ;-)

 

LWS c'est quand même pas de la gnognotte

Partager ce message


Lien à poster
Partager sur d’autres sites
Le 14/01/2019 à 07:45, stratego a dit :

LWS c'est quand même pas de la gnognotte

 

Si tu le dis... o.O Moi, je sais ce que je ferais : je les contacterais pour m'étonner que quelque chose qui fonctionne chez des gratuits (ou des payants d'ailleurs) ne fonctionne pas chez eux.

Partager ce message


Lien à poster
Partager sur d’autres sites

Le CMS fait une requête sur le site de ZWii afin de lire le fichier version et lancer la mise à jour si le numéro  est différent de celui spécifié dans core.php

Partager ce message


Lien à poster
Partager sur d’autres sites

Bonjour

 

Le service technique de LWS a finalement résolu mon probleme

 

Citation

J'ai activé la fonction PHP allow_url_fopen afin de permettre à votre CMS de vérifier les mise à jours

 

Voila voila

Partager ce message


Lien à poster
Partager sur d’autres sites
Le 15/01/2019 à 14:39, PeterRabbit a dit :

Moi, je sais ce que je ferais : je les contacterais pour m'étonner que quelque chose qui fonctionne chez des gratuits (ou des payants d'ailleurs) ne fonctionne pas chez eux.

 

il y a 2 minutes, stratego a dit :

Le service technique de LWS a finalement résolu mon probleme

 

Merci qui ?

Partager ce message


Lien à poster
Partager sur d’autres sites

Créer un compte ou se connecter pour commenter

Vous devez être membre afin de pouvoir déposer un commentaire

Créer un compte

Créez un compte sur notre communauté. C’est facile !

Créer un nouveau compte

Se connecter

Vous avez déjà un compte ? Connectez-vous ici.

Connectez-vous maintenant

×